AuMakeElementState(3)

Name
AuMakeElementState - initialize an element state structure

Synopsis
#include <audio/audiolib.h>

AuMakeElementState(state, flow, element_num, state)
    AuElementState *state; /* RETURN */
    AuFlowID flow;
    unsigned char element_num;
    unsigned char state;

Arguments

state
    Returns the initialized element state structure.

flow
    Specifies the ID of the flow.

element_num
    Specifies the index of the element in flow. Use AuElementAll to specify the flow.

state
    Specifies the state of the element. This should be one of thses constants: AuStateStop, AuStateStart, or AuStatePause.

Description
AuMakeElementState initializes an AuElementState structure for use in a subsequent call to AuGetElementStates or AuSetElementStates.

AuMakeElementState is implemented as a macro.

Errors
AuBadFlow, AuBadElement.

audiolib - Network Audio System C Language Interface